class MerchantResponseModel {
    String? referenceId;
    String? responseCode;
    String? responseDescription;

    MerchantResponseModel({this.referenceId, this.responseCode, this.responseDescription});

    factory MerchantResponseModel.fromJson(Map<String, dynamic> json) {
        return MerchantResponseModel(
            referenceId: json['ReferenceId'],
            responseCode: json['ResponseCode'],
            responseDescription: json['ResponseDescription'],
        );
    }

    Map<String, dynamic> toJson() {
        final Map<String, dynamic> data = new Map<String, dynamic>();
        data['ReferenceId'] = this.referenceId;
        data['ResponseCode'] = this.responseCode;
        data['ResponseDescription'] = this.responseDescription;
        return data;
    }
}