class TokenResponseModel {
    String? referenceId;
    String? responseCode;
    String? responseDescription;
    String? tokenId;
    String? amount;

    TokenResponseModel({this.referenceId, this.responseCode, this.responseDescription, this.tokenId, this.amount});

    factory TokenResponseModel.fromJson(Map<String, dynamic> json) {
        return TokenResponseModel(
            referenceId: json['RefId'],
            responseCode: json['ResponseCode'].toString(),
            responseDescription: json['responseDescription'],
            tokenId: json['TokenId'],
            amount: json['Amount'],
        );
    }

    Map<String, dynamic> toJson() {
        final Map<String, dynamic> data = new Map<String, dynamic>();
        data['RefId'] = this.referenceId;
        data['ResponseCode'] = this.responseCode;
        data['ResponseDescription'] = this.responseDescription;
        data['TokenId'] = this.tokenId;
        data['Amount'] = this.amount;
        return data;
    }
}