class PaymentResponseModel {
  String? accCode;
  String? merchantCode;
  String? msisdn;
  Object? otp;
  Object? refId;
  int? responseCode;
  String? responseDescription;
  String? transactionId;

  PaymentResponseModel(
      {this.accCode,
      this.merchantCode,
      this.msisdn,
      this.otp,
      this.refId,
      this.responseCode,
      this.responseDescription,
      this.transactionId,
    });

  factory PaymentResponseModel.fromJson(Map<String, dynamic> json) {
    return PaymentResponseModel(
      msisdn: json['Msisdn'],
      responseCode: json['ResponseCode'],
      responseDescription: json['ResponseDescription'],
      merchantCode: json['MerchantCode'],
      transactionId: json['TransactionId'],
      refId: json['RefId'],
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['Msisdn'] = this.msisdn;
    data['ResponseCode'] = this.responseCode;
    data['ResponseDescription'] = this.responseDescription;
    data['TransactionId'] = this.transactionId;
    data['MerchantCode'] = this.merchantCode;
    data['RefId'] = this.refId;
    return data;
  }
}
