class RequestModel {
    String? amount;
    String? deliveryUrl;
    String? merchantCode;
    String? merchantUrl;
    String? merchantName;
    String? module;
    String? password;
    String? refId;
    String? user;
    String? customerName;
    String? logo;


    RequestModel({this.amount, this.deliveryUrl,this.merchantUrl, this.merchantCode, this.merchantName, this.module, this.password, this.refId, this.user, this.customerName, this.logo});

    factory RequestModel.fromJson(Map<String, dynamic> json) {
        return RequestModel(
            amount: json['amount'],
            deliveryUrl: json['deliveryUrl'],
            merchantCode: json['merchantCode'],
            merchantName: json['merchantName'],
            module: json['module'],
          merchantUrl: json['merchantUrl'],
            password: json['password'],
            refId: json['refId'],
            customerName: json['customerName'],
            user: json['user'],
            logo: json['logo'],
        );
    }

    Map<String, dynamic> toJson() {
        final Map<String, dynamic> data = new Map<String, dynamic>();
        data['amount'] = this.amount;
        data['deliveryUrl'] = this.deliveryUrl;
        data['merchantCode'] = this.merchantCode;
        data['merchantName'] = this.merchantName;
        data['merchantUrl'] = this.merchantUrl;
        data['module'] = this.module;
        data['password'] = this.password;
        data['refId'] = this.refId;
        data['customerName'] = this.customerName;
        data['user'] = this.user;
        data['logo'] = this.logo;
        return data;
    }
}